union() {
    // Boucle sur i de 1 à 15 par pas de 2
    for (i = [1:2:15]) {
        // Différence entre un carré de taille 10*i et un carré de taille 10*(i-1)
        difference() {
            cube([i * 10, i* 10, 0.5], center = true);
            // On remarque que le volume extrudé par la différence doit "dépasser" par garantir l'aspect manifold de la pièce
            cube([(i - 1) * 10, (i - 1) * 10, 0.6], center = true);
        }
    }
    intersection() {
        translate([0, 0, 75]) cube(150, center = true);
        for (i = [1:4]) {
            rotate([0, 90, 45 + i * 90]) cylinder(r = 2, h = sqrt(2) / 2 * 150);
        }
    }
}
